Subject: Re: Merge 8xx to Linus tree?

From: Pantelis Antoniou <[email-masked]>
Date: Fri, 29 Oct 2004 15:12:06 +0300

Joakim Tjernlund wrote:

>>On Thu, Oct 14, 2004 at 04:53:49PM +0200, Joakim Tjernlund wrote:
>>
>>    
>>
>>>Is it not time to merge 8xx from linuxppc-2.5 into Linus tree?
>>>
>>>I know the 8xx is not fully functional yet but this isn't done
>>>soon I think it won't happen at all. The 8xx arch can be made to 
>>>depend on BROKEN in Linus tree to make it clear that it isn't
>>>working properly yet.
>>>      
>>>
>>I've been the hard-ass about holding back on moving 8xx forward.  Once
>>2.6.9 finally comes out (assuming and hoping that Linus really intends
>>to do a release and not -rc5), I'll start moving stuff over and make it
>>depend on BROKEN hopefully in time for 2.6.10-rc1.
>>
>>-- 
>>Tom Rini
>>    
>>
>
>Any progress?
>
> Jocke
>_______________________________________________
>Linuxppc-embedded mailing list
>[email-masked]
>https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>
>
>  
>
I'm currently battling to make 2.6.10-rc1 work the same way it used do.

But something changed in slab management and the kmallocs in request_irq
called by init_IRQ fails.

2.6.9-rc1 works.

ARGHHHHHHHHHH.

Ahem.

Regards

Pantelis